Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeTypeFlashCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType
it.tdlight.jni.TdApi.AuthenticationCodeTypeFlashCall

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeTypeFlashCall extends TdApi.AuthenticationCodeType
An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`pattern`
Pattern of the phone number from which the call will be made.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeTypeFlashCall()`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeFlashCall(DataInput input)`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeFlashCall(String pattern)`
An authentication code is delivered by an immediately canceled call to the specified phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pattern

public String pattern
Pattern of the phone number from which the call will be made.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall()
An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall(String pattern)
An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

Parameters:
  `pattern` - Pattern of the phone number from which the call will be made.

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall(DataInput input) throws IOException
An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`